<div class="accordion" id="accordionExample" style="margin-left: 2rem; margin-right: 2rem; margin-bottom: 2rem">
    {% for i in range(length) %}
  <div class="accordion-item">
    <h2 class="accordion-header" id="{{closest_airports[i]}}">
      <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapse{{i}}" aria-expanded="true" aria-controls="collapse{{i}}">
          {{closest_airports[i]}}
      </button>
    </h2>
    <div id="collapse{{i}}" class="accordion-collapse collapse show" aria-labelledby="heading{{i}}" data-bs-parent="#accordionExample">
      <div class="accordion-body">
          <ul class="list-group">
              {%for j in range(length)%}
              {% if flight_info[i][j] == null and j!=0 and flight_info[i][j-1]!="No Flight Found!"%}
              <li class="list-group-item">No Flight Found!</li>
              {% else %}
              <li class="list-group-item">{{flight_info[i][j]}}</li>
              {%endif%}
              {% endfor %}
          </ul>
        </div>
    </div>
  </div>
    {% endfor %}
</div>